%define name kismet
%define upstream feb.04.01


# numbering scheme 
# month + year + tiny
# i hope they will not release a real 3.1
%define version 3.1.020401
%define release 2mdk

Summary: Kismet is an 802.11b network sniffer and network dissector.
Name: %name
Version: %version
Release: %release
Group: Networking/Other
License: GPL
Url: http://www.kismetwireless.net
Source: %{name}-%{upstream}.tar.bz2
BuildRoot: %_tmppath/%{name}-%{version}-buildroot
Buildrequires: libncurses-devel perl libpcap-devel
Buildrequires: ImageMagick-devel
Buildrequires: libexpat-devel wget
Buildrequires: glib-devel
BuildRequires: autoconf2.5

%description
Kismet is an 802.11b network sniffer and network dissector. It is
capable of sniffing using most wireless cards, automatic network IP
block detection via UDP, ARP, and DHCP packets, Cisco equipment lists
via Cisco Discovery Protocol, weak cryptographic packet logging, and
Ethereal and tcpdump compatible packet dump files. It also includes
the ability to plot detected networks and estimated network ranges on
downloaded maps or user supplied image files.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{upstream}

# (misc) these oneliners replace patch0
perl -pi -e 's/-o \$\(INSTUSR\) -g \$\(INSTGRP\)//' Makefile.in
perl -pi -e 's/-o \$\(INSTUSR\) -g \$\(MANGRP\)//' Makefile.in

#%patch1 -p0
#%patch2 -p0
%build
export WANT_AUTOCONF_2_5=1
autoconf
%configure --without-ethereal 
#--enable-syspcap
%make
cat <<EOF >README.Mandrake
Since 3.1, kismet changed the configuration format,
especially for the sources naming.

See the list of sources in kis_packsources.cc .

EOF
%install


rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT

%makeinstall
perl -pi -e 's#/usr/local/#/usr/#' $RPM_BUILD_ROOT/%{_sysconfdir}/kismet.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post

if [ -f %{_sysconfdir}/kismet.conf ] ;
then
	if ! egrep -q "^piddir="  %{_sysconfdir}/kismet.conf 
	then 
		echo "piddir=/var/run/" >> %{_sysconfdir}/kismet.conf
	fi
fi

%files
%defattr(-,root,root)
%doc CHANGELOG GPL README TIMESTAMP TODO README.Mandrake 
# kis_packsources.cc is here because it contains the list of sources
%doc docs/DEVEL.* docs/README.* kis_packsources.cc
%config(noreplace) %{_sysconfdir}/kismet.conf
%config(noreplace) %{_sysconfdir}/kismet_ui.conf
%config(noreplace) %{_sysconfdir}/*_manuf
%config(noreplace) %{_sysconfdir}/kismet_drone.conf
%_bindir/*
%_datadir/%name
%_mandir/man1/*
%_mandir/man5/*

%changelog
* Tue Mar 02 2004 Michael Scherer <misc@mandrake.org> 3.1.020401-2mdk 
- fix install script, thanks to sunny

* Fri Feb 13 2004 Michael Scherer <misc@mandrake.org> 3.1.020401-1mdk
- new version, new versionning scheme
- remove patch 1 and 2
- revert to use bundled libpcap
- add post script to ease upgrade
 
* Sun Sep 14 2003 Pascal Terjan <CMoi@tuxfamily.org> 3.0.1-3mdk
- Fix BuildRequires 

* Sun Aug 31 2003 Michael Scherer <scherer.michael@free.fr> 3.0.1-2mdk 
- force autoconf2.5
- rm $RPM_BUILD_ROOT before install

* Thu Aug 13 2003 Michael Scherer <scherer.michael@free.fr> 3.0.1-1mdk
- 3.0.1
- patch #1 configure.in, to really detect libpcap on the system
- patch #2 , to use some include of libpcap, in order to compile
- drop patch0, replaced by a perl oneliner
 
* Wed Jul 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.8.1-3mdk
- buildrequires from Michael Scherer

* Wed Feb 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.8.1-2mdk
- rebuild

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.8.1-1mdk
- 2.8.1

* Fri Jan 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.8.0b-1mdk
- new
- patch0: remove uid & gid in Makefile

* Sat Sep 21 2002 Mike Kershaw <dragorn@kismetwireless.net>
- Added manuf tag files, additional man files

* Wed Aug 21 2002 Jeremiah Johnson <jjohnson@sunrise-linux.com>
- Initial specfile creation.
